> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory Reconciliation



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/inventory/reconciliation
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/inventory/reconciliation:
    get:
      tags:
        - Inventory Reconciliation
      summary: Get Inventory Reconciliation
      operationId: get_inventory_reconciliation_api_v1_inventory_reconciliation_get
      parameters:
        - name: stockItemId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stockitemid
        - name: domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Domain
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ReconciliationResponse:
      properties:
        data:
          $ref: '#/components/schemas/ReconciliationData'
        pagination:
          $ref: '#/components/schemas/core__pagination__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: ReconciliationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReconciliationData:
      properties:
        orgId:
          type: string
          title: Orgid
        tolerance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Tolerance
        inBalance:
          type: boolean
          title: Inbalance
        items:
          items:
            $ref: '#/components/schemas/ReconciliationItemRow'
          type: array
          title: Items
        domains:
          items:
            $ref: '#/components/schemas/ReconciliationDomainRow'
          type: array
          title: Domains
      type: object
      required:
        - orgId
        - tolerance
        - inBalance
        - items
        - domains
      title: ReconciliationData
    core__pagination__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
      description: |-
        Pagination metadata following API standards.

        Attributes:
            page: Current page number (1-indexed)
            limit: Items per page
            total: Total number of items matching query
            totalPages: Total number of pages
            hasNext: Whether there is a next page
            hasPrev: Whether there is a previous page
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ReconciliationItemRow:
      properties:
        stockItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stockitemid
        physicalValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Physicalvalue
        ledgerValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Ledgervalue
        physicalMinusLedger:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Physicalminusledger
        inBalance:
          type: boolean
          title: Inbalance
      type: object
      required:
        - physicalValue
        - ledgerValue
        - physicalMinusLedger
        - inBalance
      title: ReconciliationItemRow
    ReconciliationDomainRow:
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        physicalValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Physicalvalue
        ledgerValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Ledgervalue
        glValue:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Glvalue
        glApplicable:
          type: boolean
          title: Glapplicable
          default: true
        physicalMinusLedger:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Physicalminusledger
        ledgerMinusGl:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Ledgerminusgl
        physicalMinusGl:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Physicalminusgl
        inBalance:
          type: boolean
          title: Inbalance
      type: object
      required:
        - physicalValue
        - ledgerValue
        - glValue
        - physicalMinusLedger
        - ledgerMinusGl
        - physicalMinusGl
        - inBalance
      title: ReconciliationDomainRow
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````